=== debian/changelog ===
pacman.c (0+git20240818+ds-2) unstable; urgency=medium

  * Rename installed binary to pacman.c. (Closes: #1085526)
    Thanks Patrice Duroux for the patch.

 -- Alex Myczko <tar@debian.org>  Wed, 20 Nov 2024 11:59:20 +0000

pacman.c (0+git20240818+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1078992)

 -- Alex Myczko <tar@debian.org>  Sun, 18 Aug 2024 16:41:26 +0000
