=== debian/control ===
Source: pacman.c
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Alex Myczko <tar@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libasound2-dev,
 libgl-dev,
 libxi-dev,
 libxcursor-dev,
Standards-Version: 4.7.0
Homepage: https://github.com/floooh/pacman.c
Vcs-Git: https://salsa.debian.org/games-team/pacman.c.git
Vcs-Browser: https://salsa.debian.org/games-team/pacman.c

Package: pacman.c
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: simple Pacman clone
 This is a Pacman clone written in C99 with minimal dependencies.
